Bug 587414

Summary: Preupgrade only shows Rawhide as a selectable upgrade
Product: [Fedora] Fedora Reporter: Sandro Janke <bugzilla_redhat>
Component: preupgradeAssignee: Richard Hughes <richard>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 12CC: richard
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-03 10:17:21 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Sandro Janke 2010-04-29 16:33:31 EDT
Description of problem:

Trying to run test case as described on https://fedoraproject.org/wiki/QA:Testcase_Preupgrade will not succeed since Preupgrade is only showing Rawhide as a possible upgrade path.

Version-Release number of selected component (if applicable):

preupgrade-1.1.5-1.fc12.noarch
python-urlgrabber-3.9.1-4.1.fc12.noarch

How reproducible:

always

Steps to Reproduce:
1. start preupgrade
2. authenticate and proceed 
3. Enable 'unstable test releases'
  
Actual results:

Available Fedora Releases only contains Rawhide

Expected results:

Available Fedora Releases should also contain Fedora 13 branched as described in the test case.

Additional info:

Preupgrade shows the following message in terminal just after authentication:

/usr/lib/python2.6/site-packages/yum/__init__.py:215: UserWarning: Use .preconf instead of passing args to _getConfig
  warnings.warn('Use .preconf instead of passing args to _getConfig')
Comment 1 Sandro Janke 2010-04-29 17:41:13 EDT
This was caused by an old releases.txt being present in my $HOME. I first replaced it with http://mirrors.fedoraproject.org/releases.txt, then removed it, just to keep hitting #587427. No luck, today.
Comment 2 Bug Zapper 2010-11-03 12:01:21 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 10:17:21 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.